[arch-commits] Commit in sed/repos (6 files)

Allan McRae allan at nymeria.archlinux.org
Wed May 29 23:38:25 EDT 2013


    Date: Thursday, May 30, 2013 @ 05:38:25
  Author: allan
Revision: 186600

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  sed/repos/staging-i686/
  sed/repos/staging-i686/PKGBUILD
    (from rev 186599, sed/trunk/PKGBUILD)
  sed/repos/staging-i686/sed.install
    (from rev 186599, sed/trunk/sed.install)
  sed/repos/staging-x86_64/
  sed/repos/staging-x86_64/PKGBUILD
    (from rev 186599, sed/trunk/PKGBUILD)
  sed/repos/staging-x86_64/sed.install
    (from rev 186599, sed/trunk/sed.install)

----------------------------+
 staging-i686/PKGBUILD      |   34 ++++++++++++++++++++++++++++++++++
 staging-i686/sed.install   |   20 ++++++++++++++++++++
 staging-x86_64/PKGBUILD    |   34 ++++++++++++++++++++++++++++++++++
 staging-x86_64/sed.install |   20 ++++++++++++++++++++
 4 files changed, 108 insertions(+)

Copied: sed/repos/staging-i686/PKGBUILD (from rev 186599, sed/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD	                        (rev 0)
+++ staging-i686/PKGBUILD	2013-05-30 03:38:25 UTC (rev 186600)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=sed
+pkgver=4.2.2
+pkgrel=3
+pkgdesc="GNU stream editor"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/sed"
+license=('GPL3')
+groups=('base' 'base-devel')
+depends=('acl' 'sh')
+makedepends=('gettext')
+install=sed.install
+source=(ftp://ftp.gnu.org/pub/gnu/sed/${pkgname}-${pkgver}.tar.gz{,.sig})
+md5sums=('4111de4faa3b9848a0686b2f260c5056'
+         '86a5ab72f414d4cb38126e8e27cf0101')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}

Copied: sed/repos/staging-i686/sed.install (from rev 186599, sed/trunk/sed.install)
===================================================================
--- staging-i686/sed.install	                        (rev 0)
+++ staging-i686/sed.install	2013-05-30 03:38:25 UTC (rev 186600)
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(sed.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}

Copied: sed/repos/staging-x86_64/PKGBUILD (from rev 186599, sed/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2013-05-30 03:38:25 UTC (rev 186600)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=sed
+pkgver=4.2.2
+pkgrel=3
+pkgdesc="GNU stream editor"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/sed"
+license=('GPL3')
+groups=('base' 'base-devel')
+depends=('acl' 'sh')
+makedepends=('gettext')
+install=sed.install
+source=(ftp://ftp.gnu.org/pub/gnu/sed/${pkgname}-${pkgver}.tar.gz{,.sig})
+md5sums=('4111de4faa3b9848a0686b2f260c5056'
+         '86a5ab72f414d4cb38126e8e27cf0101')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}

Copied: sed/repos/staging-x86_64/sed.install (from rev 186599, sed/trunk/sed.install)
===================================================================
--- staging-x86_64/sed.install	                        (rev 0)
+++ staging-x86_64/sed.install	2013-05-30 03:38:25 UTC (rev 186600)
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(sed.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}



More information about the arch-commits mailing list